@import '_colors';
@import '_fonts';
@import 'header';
@import 'main';
@import 'sidebar';
@import 'footer';
@import 'responsive';
@import 'modal';
@import 'chart';
@import 'solutions';

///
html,
body {
  padding: 0;
  margin: 0;
}

html,
body,
div#app,
div.container-fluid {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

///
.hidden {
  display:none;
  visibility: hidden;
}

.error-msg {
  background-color: transparentize($white, 0.8); // rgba()
  color: $red;
  border-radius: 5px;
  font-weight: 500;
}

/// WEBKIT-SCROLLBAR EXCEPTION

@mixin _scrollbar {
  &::-webkit-scrollbar,
  &::-webkit-scrollbar-thumb {
    border-radius: 10px;
    width: 5px;
    height: 5px;
  }
  &::-webkit-scrollbar {
    background-color: transparentize($white, 0.95);
  }
  &::-webkit-scrollbar-thumb {
    background-color: $blue-bike;
    &:hover {
      background-color: $blue;
    }
  }
}

body {
  &::-webkit-scrollbar {
    display: none;
  }
  div.sidebar {
    &::-webkit-scrollbar {
      display: none;
    }
    div.sideflow,
    ul.stations-list,
    div.station .section-wrapper {
      @include _scrollbar;
    }
  }
  div.modal-top-left {
    @include _scrollbar;
    &::-webkit-scrollbar {
      background-color: $white;
    }
  }
}
